SWFieldManagerInternal::FieldINet Struct Reference documentation

SWFieldManagerInternal::FieldINet Struct Reference

Internal: a set field field. More...

Inheritance diagram for SWFieldManagerInternal::FieldINet:

## Public Member Functions
| FieldINet ()
| constructor
| FieldINet (Field const &orig)
| copy constructor
virtual | ~FieldINet ()
| destructor
virtual void | print (std::ostream &o) const
| print a field
Public Member Functions inherited from SWFieldManagerInternal::Field
| Field ()
| constructor
virtual | ~Field ()
| destructor
virtual bool | send (STOFFListenerPtr listener, StarState &state) const
| add to send the zone data

## Public Attributes
librevenge::RVNGString | m_url
| the url
librevenge::RVNGString | m_target
| the target
std::vector< librevenge::RVNGString > | m_libNames
| the lib names
Public Attributes inherited from SWFieldManagerInternal::Field
int | m_type
| the field type
int | m_subType
| the subtype
int | m_format
| the field format
librevenge::RVNGString | m_name
| the name
librevenge::RVNGString | m_content
| the content
librevenge::RVNGString | m_textValue
| the value text
double | m_doubleValue
| double
int | m_level
| the chapter level

## Additional Inherited Members
Protected Member Functions inherited from SWFieldManagerInternal::Field
| Field (const Field &orig)
| copy constructor

## Detailed Description

Internal: a set field field.

## Constructor & Destructor Documentation

## ◆ FieldINet() [1/2]

SWFieldManagerInternal::FieldINet::FieldINet | ( |  | ) |
| inline

constructor

## ◆ FieldINet() [2/2]

SWFieldManagerInternal::FieldINet::FieldINet | ( | Field const & | orig | ) |
| inlineexplicit

copy constructor

## ◆ ~FieldINet()

SWFieldManagerInternal::FieldINet::~FieldINet | ( |  | ) |
| virtual

destructor

## Member Function Documentation

## ◆ print()

virtual void SWFieldManagerInternal::FieldINet::print | ( | std::ostream & | o | ) | const
| inlinevirtual

print a field

Reimplemented from SWFieldManagerInternal::Field.

## Member Data Documentation

## ◆ m_libNames

std::vector<librevenge::RVNGString> SWFieldManagerInternal::FieldINet::m_libNames

the lib names

Referenced by FieldINet(), FieldINet(), and print().

## ◆ m_target

librevenge::RVNGString SWFieldManagerInternal::FieldINet::m_target

the target

Referenced by FieldINet(), FieldINet(), and print().

## ◆ m_url

librevenge::RVNGString SWFieldManagerInternal::FieldINet::m_url

the url

Referenced by FieldINet(), FieldINet(), and print().

The documentation for this struct was generated from the following file:

- SWFieldManager.cxx